Run of lintian-fixes for plexus-sec-dispatcher

Try this locally (using the lintian-brush package):

debcheckout plexus-sec-dispatcher
cd plexus-sec-dispatcher
lintian-brush --exclude=upstream-metadata-file

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 729d116..d4ecbe9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+plexus-sec-dispatcher (1.4-5) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Use secure copyright file specification URI.
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 11 Jun 2020 08:45:45 -0000
+
 plexus-sec-dispatcher (1.4-4) unstable; urgency=medium
 
   * Team upload.
@@ -42,7 +51,7 @@ plexus-sec-dispatcher (1.3.1-6) unstable; urgency=low
   * Team upload.
 
   [ Miguel Landaeta ]
-  * Install jars in /usr/share/java. (Closes: #687542) 
+  * Install jars in /usr/share/java. (Closes: #687542)
 
   [ tony mancill ]
   * Bump Standards-Version to 3.9.3 (no changes).
@@ -65,7 +74,7 @@ plexus-sec-dispatcher (1.3.1-5) unstable; urgency=low
 
 plexus-sec-dispatcher (1.3.1-4) unstable; urgency=low
 
-  * Add version constraint on Build-Depends for 
+  * Add version constraint on Build-Depends for
     libplexus-container-default-java (Closes: #541954)
 
  -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 04 Sep 2009 21:37:51 +0100
@@ -74,7 +83,7 @@ plexus-sec-dispatcher (1.3.1-3) unstable; urgency=low
 
   * Bump up Standards-Version to 3.8.3, no change
   * Add version contraint on Build-Depend for libmodello-java
-    (Closes: #542761) 
+    (Closes: #542761)
 
  -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 02 Sep 2009 21:02:06 +0100
 
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index b4de394..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-11
diff --git a/debian/control b/debian/control
index d608d53..3084d17 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Ludovic Claude <ludovic.claude@laposte.net>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  default-jdk-doc,
  junit (>= 3.8.2),
diff --git a/debian/copyright b/debian/copyright
index a978d17..8ff6e1b 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,4 +1,4 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: Plexus Security Dispatcher Component
 Source: https://github.com/codehaus-plexus/plexus-sec-dispatcher
 

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/share/doc/libplexus-sec-dispatcher-java/api/jquery/jquery-3.3.1.js
-rw-r--r--  root/root   /usr/share/doc/libplexus-sec-dispatcher-java/api/jquery/jquery-migrate-3.0.1.js

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/share/doc/libplexus-sec-dispatcher-java/api/jquery/jquery-3.5.1.js

No differences were encountered between the control files of package libplexus-sec-dispatcher-java

No differences were encountered between the control files of package libplexus-sec-dispatcher-java-doc

Full worker log Full build log